server:
  port: 8092

spring:
  data:
    mongodb:
      database: carHandler

bot:
  telegram-api: https://api.telegram.org/bot%s/sendMessage?chat_id=%s&text=%s
  token: 2070228409:AAH5sOZ_tbstAwYTIVSoxjI8z26UtL639DA
car:
  param:
    maintenance:
      schedule: 10
      total: 200
      reminder: 5
  api:
    baseurl: /api/car
    sub-path:
      id: /api/car/{id}
      all: /api/car

bot-state:
  api:
    baseurl: /api/botState
    sub-path:
      id: /api/botState/{id}
      all: /api/botState

costs:
  api:
    baseurl: /api/costs
    sub-path:
      id: /api/costs/{id}
      all: /api/costs

metrics:
  api:
    baseurl: /api/metrics
    sub-path:
      metric-type: /api/metrics/{id}/{metricType}

language:
  api:
    baseurl: /api/local

car-maintenance:
  api:
    baseurl: /api/maintenance
    sub-path:
      id: /api/maintenance/{id}


mongock:
  runner-type: InitializingBean
  change-logs-scan-package:
    - ru.otus.mycar.handler.config

schedule:
  delay:
    init: 0
    fixed: 10000

